package com.ensign.crm.framework.common.enums;

import com.ensign.crm.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * @Classname CrmUserTypeEnum
 * @Description TODO
 * @Date 2024/10/9 16:17
 * @Created by violet
 */

@AllArgsConstructor
@Getter
public enum CrmUserTypeEnum implements IntArrayValuable {

    DEALER(1, "经销商人员"),
    MANUFACTURER(2, "厂家人员");


    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(CrmUserTypeEnum::getValue).toArray();

    /**
     * 类型
     */
    private final Integer value;
    /**
     * 类型名
     */
    private final String name;



    @Override
    public int[] array() {
        return ARRAYS;
    }
}
